Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
SimpleDateData Struct Reference

## Data Fields
unsigned | flags
int | jd
VALUE | nth
date_sg_t | sg
int | year
unsigned | pc

## Detailed Description

Definition at line 248 of file date_core.c.

## Field Documentation

## ◆ flags

unsigned SimpleDateData::flags

Definition at line 250 of file date_core.c.

## ◆ jd

int SimpleDateData::jd

Definition at line 251 of file date_core.c.

## ◆ nth

VALUE SimpleDateData::nth

Definition at line 252 of file date_core.c.

## ◆ pc

unsigned SimpleDateData::pc

Definition at line 264 of file date_core.c.

## ◆ sg

date_sg_t SimpleDateData::sg

Definition at line 253 of file date_core.c.

## ◆ year

int SimpleDateData::year

Definition at line 255 of file date_core.c.

The documentation for this struct was generated from the following file:

- ext/date/date_core.c